summaryrefslogtreecommitdiff
path: root/tests/kolainst
diff options
context:
space:
mode:
authorColin Walters <walters@verbum.org>2022-01-11 16:46:49 -0500
committerColin Walters <walters@verbum.org>2022-01-11 20:13:33 -0500
commit998154f8ffc2f471bf4f3b59602332ba15ef6d07 (patch)
tree694e214047806060e78340187779ee72b835828f /tests/kolainst
parent7cc84819078aec6b9637b3ad29712ca3e2f8433e (diff)
downloadostree-998154f8ffc2f471bf4f3b59602332ba15ef6d07.tar.gz
main: Also support CLI extensions in `/usr/libexec/libostree/ext`
In fixing https://github.com/coreos/rpm-ostree/pull/3323 I felt that it was a bit ugly we're installing `/usr/bin/ostree-container`. It's kind of an implementation detail. We want users to use `ostree container`. Let's support values outside of $PATH too. For example, this also ensures that TAB completion for `ost` expands to `ostree ` with a space.
Diffstat (limited to 'tests/kolainst')
-rw-r--r--tests/kolainst/destructive/basic-misc.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/kolainst/destructive/basic-misc.sh b/tests/kolainst/destructive/basic-misc.sh
new file mode 100644
index 00000000..6d14cc04
--- /dev/null
+++ b/tests/kolainst/destructive/basic-misc.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+# Random misc tests
+
+set -xeuo pipefail
+
+. ${KOLA_EXT_DATA}/libinsttest.sh
+
+echo "1..1"
+date
+
+# Test CLI extensions installed alongside the system
+extdir=/usr/libexec/libostree/ext/
+mkdir -p "${extdir}"
+ln -sr /usr/bin/env ${extdir}/ostree-env
+
+env TESTENV=foo ostree env > out.txt
+assert_file_has_content out.text TESTENV=foo
+rm -vf "${extdir}/ostree-env"
+echo "ok env"
+
+# End test
+date